tvbrowser.core.icontheme

## Class Directory

- java.lang.Object
- - tvbrowser.core.icontheme.Directory

-     public class Directory
      extends java.lang.Object

  An Directory-Entry in a Theme-FIle

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Directory(java.lang.String name, java.lang.String context, java.lang.String type, int size, int maxsize, int minsize, int threshold)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContext()`
    `int` | `getMaxSize()`
    `int` | `getMinSize()`
    `java.lang.String` | `getName()`
    `int` | `getSize()`
    `int` | `getThreshold()`
    `java.lang.String` | `getType()`
    `void` | `setContext(java.lang.String context)`
    `void` | `setMaxSize(int maxSize)`
    `void` | `setMinSize(int minSize)`
    `void` | `setName(java.lang.String name)`
    `void` | `setSize(int size)`
    `void` | `setThreshold(int threshold)`
    `void` | `setType(java.lang.String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Directory

          public Directory(java.lang.String name,
                   java.lang.String context,
                   java.lang.String type,
                   int size,
                   int maxsize,
                   int minsize,
                   int threshold)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getContext

          public java.lang.String getContext()

      Returns:
        Returns the mContext.

    - #### setContext

          public void setContext(java.lang.String context)

      Parameters:
        `context` - The mContext to set.

    - #### getMaxSize

          public int getMaxSize()

      Returns:
        Returns the mMaxSize.

    - #### setMaxSize

          public void setMaxSize(int maxSize)

      Parameters:
        `maxSize` - The mMaxSize to set.

    - #### getMinSize

          public int getMinSize()

      Returns:
        Returns the mMinSize.

    - #### setMinSize

          public void setMinSize(int minSize)

      Parameters:
        `minSize` - The mMinSize to set.

    - #### getSize

          public int getSize()

      Returns:
        Returns the mSize.

    - #### setSize

          public void setSize(int size)

      Parameters:
        `size` - The mSize to set.

    - #### getThreshold

          public int getThreshold()

      Returns:
        Returns the mThreshold.

    - #### setThreshold

          public void setThreshold(int threshold)

      Parameters:
        `threshold` - The mThreshold to set.

    - #### getType

          public java.lang.String getType()

      Returns:
        Returns the mType.

    - #### setType

          public void setType(java.lang.String type)

      Parameters:
        `type` - The mType to set.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)